package com.zm.order.tool.server.request;

import com.alibaba.fastjson.JSON;

import java.io.Serializable;
import java.util.Map;

/**
 * @Author 陈标
 * @Date 2020/3/13 14:35
 */
public class TemporaryTaskRequest implements Serializable {

    private static final long serialVersionUID = -9073139743673622389L;

    private String url;

    private String appName;

    private Map<String,Object> bodyMap;

    private Map<String,String> headers;

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public Map<String, Object> getBodyMap() {
        return bodyMap;
    }

    public void setBodyMap(Map<String, Object> bodyMap) {
        this.bodyMap = bodyMap;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Map<String, String> getHeaders() {
        return headers;
    }

    public void setHeaders(Map<String, String> headers) {
        this.headers = headers;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
